# Contribution Guide

We welcome any contributions whether it is:

- Submitting feedback
- Fixing bugs
- Or implementing a new feature.

Please read this guide before making any contributions.

#### Submit Feedback
The feedback should be submitted by creating an issue on [GitHub issues](https://github.com/idealo/image-dedup/issues).
Select the related template (bug report, feature request, or custom) and add the corresponding labels.

#### Fix Bugs
You may look through the [GitHub issues](https://github.com/idealo/image-dedup/issues) for bugs.

#### Implement Features
You may look through the [GitHub issues](https://github.com/idealo/image-dedup/issues) for feature requests.

## Pull Requests (PR)
1. Fork the repository and create a new branch from the `dev` branch.
2. For bug fixes, add new tests and for new features, please add changes to the documentation.
3. Do a PR from your new branch to our `dev` branch of the original Imagededup repo.

## Documentation
- Make sure any new function or class you introduce has proper docstrings.

## Testing
- We use [pytest](https://docs.pytest.org/en/latest/) for our testing. Make sure to write tests for any new feature and/or bug fixes.

## Main Contributor List
We maintain a list of main contributors to appreciate all the contributions.